
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef viam_TCLSERV_CLIENT_MSG_LIB_H
#define viam_TCLSERV_CLIENT_MSG_LIB_H

#include <server/viamType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int viamTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int viamTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int viamTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int viamTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int viamTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int viamTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int viamTclservClientConfigureRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamId *(in_name) 
		);

int viamTclservClientConfigureReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int viamTclservClientConfigureRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamId *(in_name) ,
				
				int *bilan);

int viamTclservClientConfigureRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamId *(in_name) ,
					
					int *bilan);




int viamTclservClientResetRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int viamTclservClientResetReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int viamTclservClientResetRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int viamTclservClientResetRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int viamTclservClientDriverLoadRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamId *(in_name)
		);

int viamTclservClientDriverLoadReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientDriverLoadRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamId *(in_name) ,
				 
				 int *bilan);




int viamTclservClientBusPrintRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int viamTclservClientBusPrintReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientBusPrintRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int viamTclservClientBankCreateRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamBankCreate *(in_bank_create)
		);

int viamTclservClientBankCreateReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientBankCreateRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamBankCreate *(in_bank_create) ,
				 
				 int *bilan);




int viamTclservClientCameraCreateRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamCameraCreate *(in_camera_create)
		);

int viamTclservClientCameraCreateReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientCameraCreateRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamCameraCreate *(in_camera_create) ,
				 
				 int *bilan);




int viamTclservClientBankAddCameraRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamBankAddCamera *(in_bank_add_camera)
		);

int viamTclservClientBankAddCameraReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientBankAddCameraRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamBankAddCamera *(in_bank_add_camera) ,
				 
				 int *bilan);




int viamTclservClientPushFormatFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamFmtFilter *(in_fmtfilter)
		);

int viamTclservClientPushFormatFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientPushFormatFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamFmtFilter *(in_fmtfilter) ,
				 
				 int *bilan);




int viamTclservClientUpdateFormatFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamUFmtFilter *(in_ufmtfilter)
		);

int viamTclservClientUpdateFormatFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientUpdateFormatFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamUFmtFilter *(in_ufmtfilter) ,
				 
				 int *bilan);




int viamTclservClientPushGeoFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamGeoFilter *(in_geofilter)
		);

int viamTclservClientPushGeoFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientPushGeoFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamGeoFilter *(in_geofilter) ,
				 
				 int *bilan);




int viamTclservClientUpdateGeoFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamUGeoFilter *(in_ugeofilter)
		);

int viamTclservClientUpdateGeoFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientUpdateGeoFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamUGeoFilter *(in_ugeofilter) ,
				 
				 int *bilan);




int viamTclservClientPushLumFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamLumFilter *(in_lumfilter)
		);

int viamTclservClientPushLumFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientPushLumFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamLumFilter *(in_lumfilter) ,
				 
				 int *bilan);




int viamTclservClientUpdateLumFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamULumFilter *(in_ulumfilter)
		);

int viamTclservClientUpdateLumFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientUpdateLumFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamULumFilter *(in_ulumfilter) ,
				 
				 int *bilan);




int viamTclservClientPushColorFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamColorFilter *(in_colorfilter)
		);

int viamTclservClientPushColorFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientPushColorFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamColorFilter *(in_colorfilter) ,
				 
				 int *bilan);




int viamTclservClientUpdateColorFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamUColorFilter *(in_ucolorfilter)
		);

int viamTclservClientUpdateColorFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientUpdateColorFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamUColorFilter *(in_ucolorfilter) ,
				 
				 int *bilan);




int viamTclservClientPushImProcFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamPxFilter *(in_pxfilter)
		);

int viamTclservClientPushImProcFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientPushImProcFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamPxFilter *(in_pxfilter) ,
				 
				 int *bilan);




int viamTclservClientUpdateImProcFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamUPxFilter *(in_upxfilter)
		);

int viamTclservClientUpdateImProcFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientUpdateImProcFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamUPxFilter *(in_upxfilter) ,
				 
				 int *bilan);




int viamTclservClientPushMiscFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamMiscFilter *(in_miscfilter)
		);

int viamTclservClientPushMiscFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientPushMiscFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamMiscFilter *(in_miscfilter) ,
				 
				 int *bilan);




int viamTclservClientUpdateMiscFilterRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamUMiscFilter *(in_umiscfilter)
		);

int viamTclservClientUpdateMiscFilterReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientUpdateMiscFilterRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamUMiscFilter *(in_umiscfilter) ,
				 
				 int *bilan);




int viamTclservClientFilterListRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamId *(in_name) 
		);

int viamTclservClientFilterListReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ViamFilterList *(out_filterlist),
			      int *bilan);


int viamTclservClientFilterListRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamId *(in_name) ,
				ViamFilterList *(out_filterlist),
				int *bilan);

int viamTclservClientFilterListRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamId *(in_name) ,
					ViamFilterList *(out_filterlist),
					int *bilan);




int viamTclservClientFilterGetCapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamFilterGetCap *(in_filtergetcap) 
		);

int viamTclservClientFilterGetCapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ViamFilterCap *(out_filtercap),
			      int *bilan);


int viamTclservClientFilterGetCapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamFilterGetCap *(in_filtergetcap) ,
				ViamFilterCap *(out_filtercap),
				int *bilan);

int viamTclservClientFilterGetCapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamFilterGetCap *(in_filtergetcap) ,
					ViamFilterCap *(out_filtercap),
					int *bilan);




int viamTclservClientCameraListHWModesRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamHWModeListOffset *(in_hwmodeoffset) 
		);

int viamTclservClientCameraListHWModesReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ViamHWModeList *(out_hwmodes),
			      int *bilan);


int viamTclservClientCameraListHWModesRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamHWModeListOffset *(in_hwmodeoffset) ,
				ViamHWModeList *(out_hwmodes),
				int *bilan);

int viamTclservClientCameraListHWModesRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamHWModeListOffset *(in_hwmodeoffset) ,
					ViamHWModeList *(out_hwmodes),
					int *bilan);




int viamTclservClientCameraSetHWModeRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamHWMode *(in_hwmode)
		);

int viamTclservClientCameraSetHWModeReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientCameraSetHWModeRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamHWMode *(in_hwmode) ,
				 
				 int *bilan);




int viamTclservClientAcquireRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamAcquire *(in_acquire) 
		);

int viamTclservClientAcquireReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ViamAcquire *(out_acquire),
			      int *bilan);


int viamTclservClientAcquireRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamAcquire *(in_acquire) ,
				ViamAcquire *(out_acquire),
				int *bilan);

int viamTclservClientAcquireRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamAcquire *(in_acquire) ,
					ViamAcquire *(out_acquire),
					int *bilan);




int viamTclservClientStopRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamId *(in_name) 
		);

int viamTclservClientStopReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int viamTclservClientStopRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamId *(in_name) ,
				
				int *bilan);

int viamTclservClientStopRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamId *(in_name) ,
					
					int *bilan);




int viamTclservClientDisplayRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamDisplay *(in_display) 
		);

int viamTclservClientDisplayReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int viamTclservClientDisplayRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamDisplay *(in_display) ,
				
				int *bilan);

int viamTclservClientDisplayRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamDisplay *(in_display) ,
					
					int *bilan);




int viamTclservClientCalibrateRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ViamCalibrate *(in_calibrate) 
		);

int viamTclservClientCalibrateReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      double *(out_precision),
			      int *bilan);


int viamTclservClientCalibrateRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ViamCalibrate *(in_calibrate) ,
				double *(out_precision),
				int *bilan);

int viamTclservClientCalibrateRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ViamCalibrate *(in_calibrate) ,
					double *(out_precision),
					int *bilan);




int viamTclservClientCalibrationIORqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamCalibrationIO *(in_calibrationio)
		);

int viamTclservClientCalibrationIOReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientCalibrationIORqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamCalibrationIO *(in_calibrationio) ,
				 
				 int *bilan);




int viamTclservClientSaveRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ViamSave *(in_save)
		);

int viamTclservClientSaveReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int viamTclservClientSaveRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ViamSave *(in_save) ,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* viamTCLSERV_CLIENT_MSG_LIB_H */

