
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIAM_PRINT_H
#define VIAM_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomPrint.h"


#include "viamPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_ViamIDS ( FILE *out,
     struct ViamIDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamImageBank ( FILE *out,
     struct ViamImageBank *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamImageHeader ( FILE *out,
     struct ViamImageHeader *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamSave ( FILE *out,
     struct ViamSave *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamDisplay ( FILE *out,
     struct ViamDisplay *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamCalibrationIO ( FILE *out,
     struct ViamCalibrationIO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamCalibrate ( FILE *out,
     struct ViamCalibrate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamUMiscFilter ( FILE *out,
     struct ViamUMiscFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamMiscFilter ( FILE *out,
     struct ViamMiscFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamMiscFilterType ( FILE *out,
     enum ViamMiscFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamUPxFilter ( FILE *out,
     struct ViamUPxFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamPxFilter ( FILE *out,
     struct ViamPxFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamPxFilterType ( FILE *out,
     enum ViamPxFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamUColorFilter ( FILE *out,
     struct ViamUColorFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamColorFilter ( FILE *out,
     struct ViamColorFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamColorFilterType ( FILE *out,
     enum ViamColorFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamULumFilter ( FILE *out,
     struct ViamULumFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamLumFilter ( FILE *out,
     struct ViamLumFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamLumFilterType ( FILE *out,
     enum ViamLumFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamUGeoFilter ( FILE *out,
     struct ViamUGeoFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamGeoFilter ( FILE *out,
     struct ViamGeoFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamGeoFilterType ( FILE *out,
     enum ViamGeoFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamUFmtFilter ( FILE *out,
     struct ViamUFmtFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamFmtFilter ( FILE *out,
     struct ViamFmtFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamFmtFilterType ( FILE *out,
     enum ViamFmtFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamFilterList ( FILE *out,
     struct ViamFilterList *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamFilterGetCap ( FILE *out,
     struct ViamFilterGetCap *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamFilterCap ( FILE *out,
     struct ViamFilterCap *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamAcquire ( FILE *out,
     struct ViamAcquire *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamHWMode ( FILE *out,
     struct ViamHWMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamHWModeList ( FILE *out,
     struct ViamHWModeList *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamHWModeListOffset ( FILE *out,
     struct ViamHWModeListOffset *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamBankAddCamera ( FILE *out,
     struct ViamBankAddCamera *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamCameraCreate ( FILE *out,
     struct ViamCameraCreate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamBankCreate ( FILE *out,
     struct ViamBankCreate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamImageUpdate ( FILE *out,
     enum ViamImageUpdate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamActivate ( FILE *out,
     enum ViamActivate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_ViamIO ( FILE *out,
     enum ViamIO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_ViamId ( FILE *out,
     struct ViamId *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_viam_bankcalibration_t ( FILE *out,
     struct viam_bankcalibration_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_viam_cameracalibration_t ( FILE *out,
     struct viam_cameracalibration_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_distortionmodel_t ( FILE *out,
     enum viam_distortionmodel_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_caltype_t ( FILE *out,
     enum viam_caltype_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_viam_geometry_t ( FILE *out,
     struct viam_geometry_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_filterautomode_t ( FILE *out,
     enum viam_filterautomode_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_filtermethod_t ( FILE *out,
     enum viam_filtermethod_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_valuekind_t ( FILE *out,
     enum viam_valuekind_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_filterformat_t ( FILE *out,
     enum viam_filterformat_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_filtertype_t ( FILE *out,
     enum viam_filtertype_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_viam_hwmode_t ( FILE *out,
     struct viam_hwmode_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_hwtrigger_t ( FILE *out,
     enum viam_hwtrigger_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_hwfps_t ( FILE *out,
     enum viam_hwfps_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_hwformat_t ( FILE *out,
     enum viam_hwformat_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_hwsize_t ( FILE *out,
     enum viam_hwsize_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_hwcrop_t ( FILE *out,
     enum viam_hwcrop_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_errorcode_t ( FILE *out,
     enum viam_errorcode_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_viam_onoff_t ( FILE *out,
     enum viam_onoff_t *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_viam_onoff_t ( FILE *out,
     viam_onoff_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_errorcode_t ( FILE *out,
     viam_errorcode_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_hwcrop_t ( FILE *out,
     viam_hwcrop_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_hwsize_t ( FILE *out,
     viam_hwsize_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_hwformat_t ( FILE *out,
     viam_hwformat_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_hwfps_t ( FILE *out,
     viam_hwfps_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_hwtrigger_t ( FILE *out,
     viam_hwtrigger_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_hwmode_t ( FILE *out,
     viam_hwmode_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_filtertype_t ( FILE *out,
     viam_filtertype_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_filterformat_t ( FILE *out,
     viam_filterformat_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_valuekind_t ( FILE *out,
     viam_valuekind_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_filtermethod_t ( FILE *out,
     viam_filtermethod_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_filterautomode_t ( FILE *out,
     viam_filterautomode_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_geometry_t ( FILE *out,
     viam_geometry_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_caltype_t ( FILE *out,
     viam_caltype_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_distortionmodel_t ( FILE *out,
     viam_distortionmodel_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_cameracalibration_t ( FILE *out,
     viam_cameracalibration_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_viam_bankcalibration_t ( FILE *out,
     viam_bankcalibration_t *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamId ( FILE *out,
     ViamId *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamIO ( FILE *out,
     ViamIO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamActivate ( FILE *out,
     ViamActivate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamImageUpdate ( FILE *out,
     ViamImageUpdate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamBankCreate ( FILE *out,
     ViamBankCreate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamCameraCreate ( FILE *out,
     ViamCameraCreate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamBankAddCamera ( FILE *out,
     ViamBankAddCamera *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamHWModeListOffset ( FILE *out,
     ViamHWModeListOffset *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamHWModeList ( FILE *out,
     ViamHWModeList *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamHWMode ( FILE *out,
     ViamHWMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamAcquire ( FILE *out,
     ViamAcquire *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamFilterCap ( FILE *out,
     ViamFilterCap *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamFilterGetCap ( FILE *out,
     ViamFilterGetCap *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamFilterList ( FILE *out,
     ViamFilterList *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamFmtFilterType ( FILE *out,
     ViamFmtFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamFmtFilter ( FILE *out,
     ViamFmtFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamUFmtFilter ( FILE *out,
     ViamUFmtFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamGeoFilterType ( FILE *out,
     ViamGeoFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamGeoFilter ( FILE *out,
     ViamGeoFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamUGeoFilter ( FILE *out,
     ViamUGeoFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamLumFilterType ( FILE *out,
     ViamLumFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamLumFilter ( FILE *out,
     ViamLumFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamULumFilter ( FILE *out,
     ViamULumFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamColorFilterType ( FILE *out,
     ViamColorFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamColorFilter ( FILE *out,
     ViamColorFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamUColorFilter ( FILE *out,
     ViamUColorFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamPxFilterType ( FILE *out,
     ViamPxFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamPxFilter ( FILE *out,
     ViamPxFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamUPxFilter ( FILE *out,
     ViamUPxFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamMiscFilterType ( FILE *out,
     ViamMiscFilterType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamMiscFilter ( FILE *out,
     ViamMiscFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamUMiscFilter ( FILE *out,
     ViamUMiscFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamCalibrate ( FILE *out,
     ViamCalibrate *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamCalibrationIO ( FILE *out,
     ViamCalibrationIO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamDisplay ( FILE *out,
     ViamDisplay *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamSave ( FILE *out,
     ViamSave *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamImageHeader ( FILE *out,
     ViamImageHeader *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamImageBank ( FILE *out,
     ViamImageBank *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_ViamIDS ( FILE *out,
     ViamIDS *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* VIAM_PRINT_H */

