
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIAM_SCAN_H
#define VIAM_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomScan.h"


/* Structures du module */
#include "viamPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_ViamIDS ( FILE *in, FILE *out,
       struct ViamIDS *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamImageBank ( FILE *in, FILE *out,
       struct ViamImageBank *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamImageHeader ( FILE *in, FILE *out,
       struct ViamImageHeader *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamSave ( FILE *in, FILE *out,
       struct ViamSave *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamDisplay ( FILE *in, FILE *out,
       struct ViamDisplay *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamCalibrationIO ( FILE *in, FILE *out,
       struct ViamCalibrationIO *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamCalibrate ( FILE *in, FILE *out,
       struct ViamCalibrate *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamUMiscFilter ( FILE *in, FILE *out,
       struct ViamUMiscFilter *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamMiscFilter ( FILE *in, FILE *out,
       struct ViamMiscFilter *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamMiscFilterType ( FILE *in, FILE *out,
       enum ViamMiscFilterType *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamUPxFilter ( FILE *in, FILE *out,
       struct ViamUPxFilter *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamPxFilter ( FILE *in, FILE *out,
       struct ViamPxFilter *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamPxFilterType ( FILE *in, FILE *out,
       enum ViamPxFilterType *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamUColorFilter ( FILE *in, FILE *out,
       struct ViamUColorFilter *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamColorFilter ( FILE *in, FILE *out,
       struct ViamColorFilter *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamColorFilterType ( FILE *in, FILE *out,
       enum ViamColorFilterType *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamULumFilter ( FILE *in, FILE *out,
       struct ViamULumFilter *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamLumFilter ( FILE *in, FILE *out,
       struct ViamLumFilter *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamLumFilterType ( FILE *in, FILE *out,
       enum ViamLumFilterType *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamUGeoFilter ( FILE *in, FILE *out,
       struct ViamUGeoFilter *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamGeoFilter ( FILE *in, FILE *out,
       struct ViamGeoFilter *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamGeoFilterType ( FILE *in, FILE *out,
       enum ViamGeoFilterType *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamUFmtFilter ( FILE *in, FILE *out,
       struct ViamUFmtFilter *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamFmtFilter ( FILE *in, FILE *out,
       struct ViamFmtFilter *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamFmtFilterType ( FILE *in, FILE *out,
       enum ViamFmtFilterType *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamFilterList ( FILE *in, FILE *out,
       struct ViamFilterList *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamFilterGetCap ( FILE *in, FILE *out,
       struct ViamFilterGetCap *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamFilterCap ( FILE *in, FILE *out,
       struct ViamFilterCap *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamAcquire ( FILE *in, FILE *out,
       struct ViamAcquire *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamHWMode ( FILE *in, FILE *out,
       struct ViamHWMode *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamHWModeList ( FILE *in, FILE *out,
       struct ViamHWModeList *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamHWModeListOffset ( FILE *in, FILE *out,
       struct ViamHWModeListOffset *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamBankAddCamera ( FILE *in, FILE *out,
       struct ViamBankAddCamera *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamCameraCreate ( FILE *in, FILE *out,
       struct ViamCameraCreate *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamBankCreate ( FILE *in, FILE *out,
       struct ViamBankCreate *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamImageUpdate ( FILE *in, FILE *out,
       enum ViamImageUpdate *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamActivate ( FILE *in, FILE *out,
       enum ViamActivate *x, int indent, int nDim, int *dims );
extern int scan_enum_ViamIO ( FILE *in, FILE *out,
       enum ViamIO *x, int indent, int nDim, int *dims );
extern int scan_struct_ViamId ( FILE *in, FILE *out,
       struct ViamId *x, int indent, int nDim, int *dims );
extern int scan_struct_viam_bankcalibration_t ( FILE *in, FILE *out,
       struct viam_bankcalibration_t *x, int indent, int nDim, int *dims );
extern int scan_struct_viam_cameracalibration_t ( FILE *in, FILE *out,
       struct viam_cameracalibration_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_distortionmodel_t ( FILE *in, FILE *out,
       enum viam_distortionmodel_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_caltype_t ( FILE *in, FILE *out,
       enum viam_caltype_t *x, int indent, int nDim, int *dims );
extern int scan_struct_viam_geometry_t ( FILE *in, FILE *out,
       struct viam_geometry_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_filterautomode_t ( FILE *in, FILE *out,
       enum viam_filterautomode_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_filtermethod_t ( FILE *in, FILE *out,
       enum viam_filtermethod_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_valuekind_t ( FILE *in, FILE *out,
       enum viam_valuekind_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_filterformat_t ( FILE *in, FILE *out,
       enum viam_filterformat_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_filtertype_t ( FILE *in, FILE *out,
       enum viam_filtertype_t *x, int indent, int nDim, int *dims );
extern int scan_struct_viam_hwmode_t ( FILE *in, FILE *out,
       struct viam_hwmode_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_hwtrigger_t ( FILE *in, FILE *out,
       enum viam_hwtrigger_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_hwfps_t ( FILE *in, FILE *out,
       enum viam_hwfps_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_hwformat_t ( FILE *in, FILE *out,
       enum viam_hwformat_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_hwsize_t ( FILE *in, FILE *out,
       enum viam_hwsize_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_hwcrop_t ( FILE *in, FILE *out,
       enum viam_hwcrop_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_errorcode_t ( FILE *in, FILE *out,
       enum viam_errorcode_t *x, int indent, int nDim, int *dims );
extern int scan_enum_viam_onoff_t ( FILE *in, FILE *out,
       enum viam_onoff_t *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_viam_onoff_t ( FILE *in, FILE *out,
       viam_onoff_t *x, int indent, int nDim, int *dims );
extern int scan_viam_errorcode_t ( FILE *in, FILE *out,
       viam_errorcode_t *x, int indent, int nDim, int *dims );
extern int scan_viam_hwcrop_t ( FILE *in, FILE *out,
       viam_hwcrop_t *x, int indent, int nDim, int *dims );
extern int scan_viam_hwsize_t ( FILE *in, FILE *out,
       viam_hwsize_t *x, int indent, int nDim, int *dims );
extern int scan_viam_hwformat_t ( FILE *in, FILE *out,
       viam_hwformat_t *x, int indent, int nDim, int *dims );
extern int scan_viam_hwfps_t ( FILE *in, FILE *out,
       viam_hwfps_t *x, int indent, int nDim, int *dims );
extern int scan_viam_hwtrigger_t ( FILE *in, FILE *out,
       viam_hwtrigger_t *x, int indent, int nDim, int *dims );
extern int scan_viam_hwmode_t ( FILE *in, FILE *out,
       viam_hwmode_t *x, int indent, int nDim, int *dims );
extern int scan_viam_filtertype_t ( FILE *in, FILE *out,
       viam_filtertype_t *x, int indent, int nDim, int *dims );
extern int scan_viam_filterformat_t ( FILE *in, FILE *out,
       viam_filterformat_t *x, int indent, int nDim, int *dims );
extern int scan_viam_valuekind_t ( FILE *in, FILE *out,
       viam_valuekind_t *x, int indent, int nDim, int *dims );
extern int scan_viam_filtermethod_t ( FILE *in, FILE *out,
       viam_filtermethod_t *x, int indent, int nDim, int *dims );
extern int scan_viam_filterautomode_t ( FILE *in, FILE *out,
       viam_filterautomode_t *x, int indent, int nDim, int *dims );
extern int scan_viam_geometry_t ( FILE *in, FILE *out,
       viam_geometry_t *x, int indent, int nDim, int *dims );
extern int scan_viam_caltype_t ( FILE *in, FILE *out,
       viam_caltype_t *x, int indent, int nDim, int *dims );
extern int scan_viam_distortionmodel_t ( FILE *in, FILE *out,
       viam_distortionmodel_t *x, int indent, int nDim, int *dims );
extern int scan_viam_cameracalibration_t ( FILE *in, FILE *out,
       viam_cameracalibration_t *x, int indent, int nDim, int *dims );
extern int scan_viam_bankcalibration_t ( FILE *in, FILE *out,
       viam_bankcalibration_t *x, int indent, int nDim, int *dims );
extern int scan_ViamId ( FILE *in, FILE *out,
       ViamId *x, int indent, int nDim, int *dims );
extern int scan_ViamIO ( FILE *in, FILE *out,
       ViamIO *x, int indent, int nDim, int *dims );
extern int scan_ViamActivate ( FILE *in, FILE *out,
       ViamActivate *x, int indent, int nDim, int *dims );
extern int scan_ViamImageUpdate ( FILE *in, FILE *out,
       ViamImageUpdate *x, int indent, int nDim, int *dims );
extern int scan_ViamBankCreate ( FILE *in, FILE *out,
       ViamBankCreate *x, int indent, int nDim, int *dims );
extern int scan_ViamCameraCreate ( FILE *in, FILE *out,
       ViamCameraCreate *x, int indent, int nDim, int *dims );
extern int scan_ViamBankAddCamera ( FILE *in, FILE *out,
       ViamBankAddCamera *x, int indent, int nDim, int *dims );
extern int scan_ViamHWModeListOffset ( FILE *in, FILE *out,
       ViamHWModeListOffset *x, int indent, int nDim, int *dims );
extern int scan_ViamHWModeList ( FILE *in, FILE *out,
       ViamHWModeList *x, int indent, int nDim, int *dims );
extern int scan_ViamHWMode ( FILE *in, FILE *out,
       ViamHWMode *x, int indent, int nDim, int *dims );
extern int scan_ViamAcquire ( FILE *in, FILE *out,
       ViamAcquire *x, int indent, int nDim, int *dims );
extern int scan_ViamFilterCap ( FILE *in, FILE *out,
       ViamFilterCap *x, int indent, int nDim, int *dims );
extern int scan_ViamFilterGetCap ( FILE *in, FILE *out,
       ViamFilterGetCap *x, int indent, int nDim, int *dims );
extern int scan_ViamFilterList ( FILE *in, FILE *out,
       ViamFilterList *x, int indent, int nDim, int *dims );
extern int scan_ViamFmtFilterType ( FILE *in, FILE *out,
       ViamFmtFilterType *x, int indent, int nDim, int *dims );
extern int scan_ViamFmtFilter ( FILE *in, FILE *out,
       ViamFmtFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamUFmtFilter ( FILE *in, FILE *out,
       ViamUFmtFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamGeoFilterType ( FILE *in, FILE *out,
       ViamGeoFilterType *x, int indent, int nDim, int *dims );
extern int scan_ViamGeoFilter ( FILE *in, FILE *out,
       ViamGeoFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamUGeoFilter ( FILE *in, FILE *out,
       ViamUGeoFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamLumFilterType ( FILE *in, FILE *out,
       ViamLumFilterType *x, int indent, int nDim, int *dims );
extern int scan_ViamLumFilter ( FILE *in, FILE *out,
       ViamLumFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamULumFilter ( FILE *in, FILE *out,
       ViamULumFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamColorFilterType ( FILE *in, FILE *out,
       ViamColorFilterType *x, int indent, int nDim, int *dims );
extern int scan_ViamColorFilter ( FILE *in, FILE *out,
       ViamColorFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamUColorFilter ( FILE *in, FILE *out,
       ViamUColorFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamPxFilterType ( FILE *in, FILE *out,
       ViamPxFilterType *x, int indent, int nDim, int *dims );
extern int scan_ViamPxFilter ( FILE *in, FILE *out,
       ViamPxFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamUPxFilter ( FILE *in, FILE *out,
       ViamUPxFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamMiscFilterType ( FILE *in, FILE *out,
       ViamMiscFilterType *x, int indent, int nDim, int *dims );
extern int scan_ViamMiscFilter ( FILE *in, FILE *out,
       ViamMiscFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamUMiscFilter ( FILE *in, FILE *out,
       ViamUMiscFilter *x, int indent, int nDim, int *dims );
extern int scan_ViamCalibrate ( FILE *in, FILE *out,
       ViamCalibrate *x, int indent, int nDim, int *dims );
extern int scan_ViamCalibrationIO ( FILE *in, FILE *out,
       ViamCalibrationIO *x, int indent, int nDim, int *dims );
extern int scan_ViamDisplay ( FILE *in, FILE *out,
       ViamDisplay *x, int indent, int nDim, int *dims );
extern int scan_ViamSave ( FILE *in, FILE *out,
       ViamSave *x, int indent, int nDim, int *dims );
extern int scan_ViamImageHeader ( FILE *in, FILE *out,
       ViamImageHeader *x, int indent, int nDim, int *dims );
extern int scan_ViamImageBank ( FILE *in, FILE *out,
       ViamImageBank *x, int indent, int nDim, int *dims );
extern int scan_ViamIDS ( FILE *in, FILE *out,
       ViamIDS *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* VIAM_SCAN_H */

